I have an opportunity to update some files and was going to set the Active Standard for the new to us 3D annotation.
Am i using the right syntax here or is the object not exposed to the API? I notice intellisense does not suggest this when typing.
Dim oApp As Application: Set oApp = ThisApplication
Dim oDoc As PartDocument: Set oDoc = oApp.ActiveDocument
Set oDoc.ActiveAnnotationsStandard = "ISO"
Solved! Go to Solution.
I have an opportunity to update some files and was going to set the Active Standard for the new to us 3D annotation.
Am i using the right syntax here or is the object not exposed to the API? I notice intellisense does not suggest this when typing.
Dim oApp As Application: Set oApp = ThisApplication
Dim oDoc As PartDocument: Set oDoc = oApp.ActiveDocument
Set oDoc.ActiveAnnotationsStandard = "ISO"
Solved! Go to Solution.
Solved by JelteDeJong. Go to Solution.
this works for me:
Dim oApp As Application
Set oApp = ThisApplication
Dim oDoc As PartDocument:
Set oDoc = oApp.ActiveDocument
oDoc.ActiveAnnotationsStandard = "ISO"
Jelte de Jong
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.
Blog: hjalte.nl - github.com
this works for me:
Dim oApp As Application
Set oApp = ThisApplication
Dim oDoc As PartDocument:
Set oDoc = oApp.ActiveDocument
oDoc.ActiveAnnotationsStandard = "ISO"
Jelte de Jong
Did you find this post helpful? Feel free to Like this post.
Did your question get successfully answered? Then click on the ACCEPT SOLUTION button.
Blog: hjalte.nl - github.com
Helps if i don't use 'Set'.
Helps if i don't use 'Set'.
It took me a minute to remind myself but i guess i was browsing the Locals window in VBA.
In the VBA IDE, put a break point somewhere, then browse down from oDoc.
It took me a minute to remind myself but i guess i was browsing the Locals window in VBA.
In the VBA IDE, put a break point somewhere, then browse down from oDoc.
Just dropping the cross-reference link in here to the 'other' recent forum topic which came to the same results as this one.
Wesley Crihfield
(Not an Autodesk Employee)
Just dropping the cross-reference link in here to the 'other' recent forum topic which came to the same results as this one.
Wesley Crihfield
(Not an Autodesk Employee)
Can't find what you're looking for? Ask the community or share your knowledge.